import { selectorFamily } from 'recoil';
import contestCountyResultsAtom from '../atoms/contestCountyResults';

/**
 * Contest county results can only be hydrated by a single-contest county-level
 * results file.
 */
const contestCountyResults = selectorFamily({
  key: 'election.selectors.contestCountyResults',
  get: key => ({
    get
  }) => {
    const data = get(contestCountyResultsAtom(key));
    return data;
  }
});
export default contestCountyResults;